@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
.material-symbols-outlined {
    font-variation-settings:
    'FILL' 0,
    'wght' 400,
    'GRAD' 0,
    'opsz' 48
  }
*{
    margin: 0;
    padding: 0;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
.container{
    width: 85%;/*Ana Sayfa %85 ini kaplar*/
    margin: auto;/*Sağdan Soldan Ortalar*/
}
.banner{
    display: flex;/*İçindeki elemanlar Yan Yana yapar*/
    list-style-type: none;/*Liste elemanları numarası kalkar*/
    align-items: center;/*dikey hizalama ortalığı*/
    justify-content: space-around;/*elemanları yatay eşit aralıklı yerleştirir*/
    padding: 20px 0px 20px 0px;/*iç boşluk üst 20 sol sıfır alt 20 sağ 0*/
}
.logo{
    width: 100px;
}
.banner h3{
    font-size: 45px;
    text-align: center;
}
.menu{
    display: flex;
    list-style-type: none;
    justify-content: center;
    gap: 8px;/*elemanlar arasındaki boşluğu 8px olarak ayarlar*/
}
.menu li{
    flex-grow: 1;/*Liste Elemanlarını Eşit Bir şekilde dağıtır*/
}
.menu li a{
    display: block;
    text-decoration: none;
    color: rgb(34, 34, 34);
    font-size: 20px;
    text-align: center;
    padding: 10px 0px 10px 0px;
    border-top: 3px solid rgba(0, 0, 0, 0.753);
    opacity: 0.8;
    transition: all 0.5s;
    font-weight: bold;
}
.menu li a:hover{
    opacity: 1;
}
.banner2{
    background-image: url(img/düz\ .png);
    background-size: cover;/*Resim buşunduğu kutunun tamamını kapsar*/
    opacity: 0.9;
    padding: 100px;
    flex-direction: column;
}
.kutu{
    width: 300px;
    padding: 15px 0px 15px 0px;
    text-align: center;
    color: whitesmoke;
    text-transform: uppercase;
    font-size: 25px;
    letter-spacing: 4px;
    position: relative;/*göreceli konumlandırır*/
    left: 100px;/*bulunduğu kutuya 100px soldan mesafe vererek konumlandırır*/
}
.kartlar{
    background-color: #a0a0a0;
    padding: 25px 0px 25px 0px;
    margin: 20px 0px 20px 0px;
}
.baslik{
    text-align: center;
    font-size: 30px;
    letter-spacing: 8px;
    padding-bottom: 25px;
}
.kartlar-kart{
    display: flex;
    gap: 10px;
}
.kart{
    flex-grow: 1;
    text-align: center;
    display: flex;
    flex-direction: column;/*ekran 700 altına düşünce tek stun olarak gözükür*/
    gap: 8px;
    align-items: center;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    max-width: 800px;
    border-left: 5px solid #cccccc;
    background-color: rgba(82, 82, 82, 0.527);
}
.kart img{
    width: 40%;
}
.cizgi{
    padding: 3px 10px 3px 10px;
    background-color: #8B5E3C;
    width: 30px;
    margin: auto;
}
.yazi{
    font-size: 20px;
    font-weight: bold;
}
.yazzi{
    text-align: center;
    padding-bottom: 10px;
    font-weight: bold;
    font-size: 30px;
}
footer{
    background-color: #a0a0a0;
    color: rgb(0, 0, 0);
    text-align: center;
    font-size: 12px;
    font-style: none;
    padding: 10px 0px 10px 0px;
}
.urunlerSayfasi{
    display: flex;
    gap: 10px;
}
.resimAlani{
    background-image: url(img/1234.png);
    width: 20%;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.9;
    background-position: center;
}
.urunler{
    width: 75%;
    display: flex;
    gap: 10px;
    flex-wrap: wrap; /*Kutular yan yana sığmazsa bi alt satıra geçer ve yine yan yana sıralar*/
    justify-content: space-between;
}
.urun-kart{
    width: 250px;
    border: 1px solid #cccccc;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}
.urun-kart a{
    display: block;
    text-decoration: none;
    background-color: rgba(0, 0, 0, 0.8);
    color: beige;
    text-align: center;
    width: 100%;
    padding: 10px 0px 10px 0px;
    transition: all 0.5s;
}
.urun-kart a:hover{
    background-color: rgb(255, 0, 0);
}
.ustunuCiz{
    text-decoration: line-through;
}
.resim{
    border-bottom: 1px solid #cccccc;/*Resmin altına çizgi koyar*/
    overflow: hidden;/*bulunduğu kutunun dışına taşma gerçekleştirmez*/
}
.resim img{
    transition: all 0.5s;
    width: 100%;
}
.resim:hover img{
    scale: 1.5;/*boyut olarak 1.5 katına çıkar*/
    transform: rotate(360deg);/*üstüne geldiğinde dövme hareketi yaptırır*/
}
.banner22{
    background-image: url(img/banner2.jpg);
    opacity: 0.753;
    background-size: cover;/*Resim buşunduğu kutunun tamamını kapsar*/
    padding: 120px 0px 120px 0px;
}
.iletisim{
    list-style-type: none;
    display: flex;
    flex-direction: column;
    text-align: center;
}
.bkutu{
    margin: 10px 0px;
    width: 250px;
    height: 30px;
    flex-direction: column;
    background-color: #a0a0a0;
    color: black;
}
.solkutu textarea{
    width: 250px;
    height: 100px;
}
.link {
    background-color:rgba(255, 127, 87, 0.8);
    color: beige;
    text-decoration: none;
    padding: 10px 95px;
    text-align: center;
}
.gkutu{
    margin: 10px 0px;
}
.resim2 img{
    width: 30px;
    margin: 0px 10px;
    transition: all 0.5s;
    
}
.resim2{
    display: flex;
    padding-left:740px;
}
.ins:hover{
    scale: 1;
    transform: rotate(360deg);
    text-align: center;
}
.twit:hover{
    scale: 1;
    transform: rotate(360deg);
    text-align: center;
}
.face:hover{
    scale: 1;
    transform: rotate(360deg);
    text-align: center;
}
.sbilgi{
    margin: 20px 0px;
}
.telno{
    margin: 0px 30px;
    text-align: center;
}
.hakkimda{
    flex-direction: column;
    display: flex;
}
.hakkimda h1{
    text-align: center;
    padding-top: 20px;
}
.hbilgi{
    font-size: 18px;
    font-weight: bold;
    padding-top: 20px;
    flex-direction: column;
}
.kullanicilar{
    display: flex;
    padding-top: 50px;
    padding-left: 50px;
   
}
.eresim{
    width: 100px;
    padding-top: 10px;
}
.eyazi{
    font-size: 13px;
    color: #000;
    font-weight: bold;
    
}
.kutu{
    text-align: center;
    border-radius: 10px;
    border: 1px solid black;
    width: 300px;
    height: 300px;
    box-shadow: 5px 5px 15px black;
    background-color: #a0a0a0;
    margin: 10px;
    flex-direction: column;
}
@media screen and (max-width:700px){/*ekran boyutu 700px e kadar olduğu durumlarda*/
    .container,.urunler{/*ana kapsayıcı yüzde yüz ve ortada olsun*/
        width: 100%;
        justify-content: center;
    }
    .gizle{/*ekran 700 altına düşünce gizle klasındaki öğeler gizlenir*/
        display: none;
    }
    .menu,.kartlar-kart,.banner,.iletisim,.kullanicilar{/*ilgili klaslar 700px altına düşünce tek stunda görülür*/
        flex-direction: column;
    }
    .baslik{/*ekran 700px altına düşünce başlıktaki harfler arası mesafe 3px*/
        letter-spacing: 3px;
    }
    .kutu{
        left: 50px;
    }
    .kart img{
        width: 80%;
    }
}